Update Existing Ad Group

Make changes in an existing ad group.

📘

URL: PUT /api/v1/adGroups

Note: Brand Assets are currently in beta.

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
adGroupIdThe ID of the ad groupintegerYUnique numeric identifier
nameThe updated name of the ad groupstringNRelevant string value representing the ad group
statusSpecified status of ad groupstringNStatus values can be:
  • enabled
  • disabled
  • deleted
brandAssetsList of Brand Assets to be updated
  • Sponsored Brands manual campaigns are eligible to add brandAssets
  • A Brand Asset added to an ad group must be approved by a review. Adding a Brand Asset that has not been approved will result in an error.
  • For Sponsored Brands manual campaigns, only one Brand Asset is allowed for an ad group.
  • Adding a Brand Asset to an ad group through this call will overwrite the previously added Brand Asset.
  • Sponsored Brands manual campaigns must be paused before adding a Brand Asset.
  • For a Sponsored Brands campaign, replacing a brand asset will require the campaign to be re-submitted for review
Note:
  • If not passed in the request, Brand Assets will not be updated for the ad group.
  • A null value will result in no updates to existing Brand Assets (if any) for the ad group.
array<integer>N
  • A single Brand Asset ID
  • A null value

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Sample Request 1 - No update to Brand Assets in an ad group

curl -X PUT \
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/adGroups' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--header 'Content-Type: application/json' \
--data '
{ "adGroupId": 500000, "name": "AdGroup name", "status":"enabled", "brandAssets": null
}'

Sample Request 2 - Replace Brand Asset for an ad group

curl -X PUT \
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/adGroups' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--header 'Content-Type: application/json' \
--data '
{ "adGroupId": 500000, "name": "AdGroup name", "status":"enabled", "brandAssets": [ { "brandAssetId": "600001" } ] }'

Response

ElementDescriptionType
codeShows status of the ad group update operation Values: success, failurestring
detailsDetails of the updatestring
adGroupIdId of the ad group being updatedinteger

Sample Response 1

[ { "code": "success", "details": "", "adGroupId": 500000 } ]

Sample Response 2

[ { "code": "success", "details": "", "adGroupId": 500000 } ]

Sample Response 3

[ { "code": "success", "details": "", "adGroupId": 500000 } ]

Sample Response 4 - Updating an ad group with an unapproved Brand Asset

[ { "code": "failure", "details": "Brand asset with brandAssetId=10435 is not approved. /", "adGroupId": 500000 }
]

Sample Response 5 - Updating an ad group for a Sponsored Brands campaign with more than one Brand Asset

[ { "code": "failure", "details": "Sponsored Brands Campaign cannot have more than 1 brand asset", "adGroupId": 600000 }
]


Did this page help you?